diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/sixlowpan/model/sixlowpan-header.h ns-3.44/src/sixlowpan/model/sixlowpan-header.h
--- ns-3.43/src/sixlowpan/model/sixlowpan-header.h	2024-10-09 16:41:10.080656500 -0700
+++ ns-3.44/src/sixlowpan/model/sixlowpan-header.h	2025-03-09 16:55:49.687372200 -0700
@@ -912,17 +912,17 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param [in] os The reference to the output stream.
- * \param [in] header The IPHC Header.
- * \returns The reference to the output stream.
+ * @param [in] os The reference to the output stream.
+ * @param [in] header The IPHC Header.
+ * @returns The reference to the output stream.
  */
 std::ostream& operator<<(std::ostream& os, const SixLowPanIphc& header);
 
 /**
-* \ingroup sixlowpan
-* \brief   LOWPAN_NHC Extension Header Encoding - see \RFC{6282}.
+* @ingroup sixlowpan
+* @brief   LOWPAN_NHC Extension Header Encoding - see \RFC{6282}.
   \verbatim
      0   1   2   3   4   5   6   7
    +---+---+---+---+---+---+---+---+
@@ -934,7 +934,7 @@
 {
   public:
     /**
-     *  \brief EID: IPv6 Extension Header ID.
+     *  @brief EID: IPv6 Extension Header ID.
      *
      *   EID: IPv6 Extension Header ID:
      *      0: IPv6 Hop-by-Hop Options Header [\RFC{2460}]
@@ -959,92 +959,92 @@
     SixLowPanNhcExtension();
 
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Return the instance type identifier.
-     * \return Instance type ID.
+     * @brief Return the instance type identifier.
+     * @return Instance type ID.
      */
     TypeId GetInstanceTypeId() const override;
 
     void Print(std::ostream& os) const override;
 
     /**
-     * \brief Get the serialized size of the packet.
-     * \return Size.
+     * @brief Get the serialized size of the packet.
+     * @return Size.
      */
     uint32_t GetSerializedSize() const override;
 
     /**
-     * \brief Serialize the packet.
-     * \param [in] start Buffer iterator.
+     * @brief Serialize the packet.
+     * @param [in] start Buffer iterator.
      */
     void Serialize(Buffer::Iterator start) const override;
 
     /**
-     * \brief Deserialize the packet.
-     * \param [in] start Buffer iterator.
-     * \return Size of the packet.
+     * @brief Deserialize the packet.
+     * @param [in] start Buffer iterator.
+     * @return Size of the packet.
      */
     uint32_t Deserialize(Buffer::Iterator start) override;
 
     /**
-     * \brief Get the NhcDispatch type.
-     * \return The NhcDispatch type.
+     * @brief Get the NhcDispatch type.
+     * @return The NhcDispatch type.
      */
     virtual SixLowPanDispatch::NhcDispatch_e GetNhcDispatchType() const;
 
     /**
-     * \brief Set the Extension Header Type.
-     * \param [in] extensionHeaderType The Extension Header Type.
+     * @brief Set the Extension Header Type.
+     * @param [in] extensionHeaderType The Extension Header Type.
      */
     void SetEid(Eid_e extensionHeaderType);
 
     /**
-     * \brief Get the Extension Header Type.
-     * \return The Extension Header Type.
+     * @brief Get the Extension Header Type.
+     * @return The Extension Header Type.
      */
     Eid_e GetEid() const;
 
     /**
-     * \brief Set the Next Header field values.
-     * \param [in] nextHeader The Next Header field value.
+     * @brief Set the Next Header field values.
+     * @param [in] nextHeader The Next Header field value.
      */
     void SetNextHeader(uint8_t nextHeader);
 
     /**
-     * \brief Get the Next Header field value.
-     * \return The Next Header field value.
+     * @brief Get the Next Header field value.
+     * @return The Next Header field value.
      */
     uint8_t GetNextHeader() const;
 
     /**
-     * \brief Set the NH field values.
-     * \param [in] nhField The NH field value.
+     * @brief Set the NH field values.
+     * @param [in] nhField The NH field value.
      */
     void SetNh(bool nhField);
 
     /**
-     * \brief Get the Next Header field value.
-     * \return The NH field value.
+     * @brief Get the Next Header field value.
+     * @return The NH field value.
      */
     bool GetNh() const;
 
     /**
-     * \brief Set the option header data blob.
-     * \param [in] blob A buffer holding the blob data.
-     * \param [in] size The data blob size.
+     * @brief Set the option header data blob.
+     * @param [in] blob A buffer holding the blob data.
+     * @param [in] size The data blob size.
      */
     void SetBlob(const uint8_t* blob, uint32_t size);
 
     /**
-     * \brief Get the option header data blob.
-     * \param [in] blob A buffer to copy the blob data into.
-     * \param [in] size The size of the buffer.
-     * \return The length of the copied data.
+     * @brief Get the option header data blob.
+     * @param [in] blob A buffer to copy the blob data into.
+     * @param [in] size The size of the buffer.
+     * @return The length of the copied data.
      */
     uint32_t CopyBlob(uint8_t* blob, uint32_t size) const;
 
@@ -1056,17 +1056,17 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param [in] os The reference to the output stream.
- * \param [in] header The NHC Extension Header.
- * \returns The reference to the output stream.
+ * @param [in] os The reference to the output stream.
+ * @param [in] header The NHC Extension Header.
+ * @returns The reference to the output stream.
  */
 std::ostream& operator<<(std::ostream& os, const SixLowPanNhcExtension& header);
 
 /**
-* \ingroup sixlowpan
-* \brief   UDP LOWPAN_NHC Extension Header Encoding - see \RFC{6282}.
+* @ingroup sixlowpan
+* @brief   UDP LOWPAN_NHC Extension Header Encoding - see \RFC{6282}.
   \verbatim
      0   1   2   3   4   5   6   7
    +---+---+---+---+---+---+---+---+
@@ -1078,7 +1078,7 @@
 {
   public:
     /**
-     *  \brief Ports:
+     *  @brief Ports:
      *
      *  00: 16 bits for both Source Port and Destination Port
      *  01: 16 bits for Source Port. Last 8 bits for Destination Port
@@ -1096,101 +1096,101 @@
     SixLowPanUdpNhcExtension();
 
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Return the instance type identifier.
-     * \return Instance type ID.
+     * @brief Return the instance type identifier.
+     * @return Instance type ID.
      */
     TypeId GetInstanceTypeId() const override;
 
     void Print(std::ostream& os) const override;
 
     /**
-     * \brief Get the serialized size of the packet.
-     * \return Size.
+     * @brief Get the serialized size of the packet.
+     * @return Size.
      */
     uint32_t GetSerializedSize() const override;
 
     /**
-     * \brief Serialize the packet.
-     * \param [in] start Buffer iterator.
+     * @brief Serialize the packet.
+     * @param [in] start Buffer iterator.
      */
     void Serialize(Buffer::Iterator start) const override;
 
     /**
-     * \brief Deserialize the packet.
-     * \param [in] start Buffer iterator.
-     * \return Size of the packet.
+     * @brief Deserialize the packet.
+     * @param [in] start Buffer iterator.
+     * @return Size of the packet.
      */
     uint32_t Deserialize(Buffer::Iterator start) override;
 
     /**
-     * \brief Get the NhcDispatch type.
-     * \return The NhcDispatch type.
+     * @brief Get the NhcDispatch type.
+     * @return The NhcDispatch type.
      */
     virtual SixLowPanDispatch::NhcDispatch_e GetNhcDispatchType() const;
 
     /**
-     * \brief Set the compressed Src and Dst Ports.
-     * \param [in] port Src and Dst Ports.
+     * @brief Set the compressed Src and Dst Ports.
+     * @param [in] port Src and Dst Ports.
      */
     void SetPorts(Ports_e port);
 
     /**
-     * \brief Get the compressed Src and Dst Ports.
-     * \return The Src and Dst Ports.
+     * @brief Get the compressed Src and Dst Ports.
+     * @return The Src and Dst Ports.
      */
     Ports_e GetPorts() const;
 
     /**
-     * \brief Set the Source Port.
-     * \param [in] port The Source Port.
+     * @brief Set the Source Port.
+     * @param [in] port The Source Port.
      */
     void SetSrcPort(uint16_t port);
 
     /**
-     * \brief Get the Source Port.
-     * \return The Source Port.
+     * @brief Get the Source Port.
+     * @return The Source Port.
      */
     uint16_t GetSrcPort() const;
 
     /**
-     * \brief Set the Destination Port.
-     * \param [in] port The Destination Port.
+     * @brief Set the Destination Port.
+     * @param [in] port The Destination Port.
      */
     void SetDstPort(uint16_t port);
 
     /**
-     * \brief Get the Destination Port.
-     * \return The Destination Port.
+     * @brief Get the Destination Port.
+     * @return The Destination Port.
      */
     uint16_t GetDstPort() const;
 
     /**
-     * \brief Set the C (Checksum).
-     * \param [in] cField False (All checksum carried in-line), true (Checksum elided).
+     * @brief Set the C (Checksum).
+     * @param [in] cField False (All checksum carried in-line), true (Checksum elided).
      */
     void SetC(bool cField);
 
     /**
-     * \brief Get the C (Checksum).
-     * \return False (All checksum carried in-line), true (Checksum elided).
+     * @brief Get the C (Checksum).
+     * @return False (All checksum carried in-line), true (Checksum elided).
      */
     bool GetC() const;
 
     /**
-     * \brief Set the Checksum field values.
-     * \param [in] checksum The Checksum field value.
+     * @brief Set the Checksum field values.
+     * @param [in] checksum The Checksum field value.
      */
     void SetChecksum(uint16_t checksum);
 
     /**
-     * \brief Get the Checksum field value.
-     * \return The Checksum field value.
+     * @brief Get the Checksum field value.
+     * @return The Checksum field value.
      */
     uint16_t GetChecksum() const;
 
@@ -1202,17 +1202,17 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param [in] os The reference to the output stream.
- * \param [in] header The UDP NHC Extension Header.
- * \returns The reference to the output stream.
+ * @param [in] os The reference to the output stream.
+ * @param [in] header The UDP NHC Extension Header.
+ * @returns The reference to the output stream.
  */
 std::ostream& operator<<(std::ostream& os, const SixLowPanUdpNhcExtension& header);
 
 /**
- * \ingroup sixlowpan
- * \brief 6LoWPAN BC0 header - see \RFC{4944}.
+ * @ingroup sixlowpan
+ * @brief 6LoWPAN BC0 header - see \RFC{4944}.
  */
 class SixLowPanBc0 : public Header
 {
@@ -1220,47 +1220,47 @@
     SixLowPanBc0();
 
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Return the instance type identifier.
-     * \return Instance type ID.
+     * @brief Return the instance type identifier.
+     * @return Instance type ID.
      */
     TypeId GetInstanceTypeId() const override;
 
     void Print(std::ostream& os) const override;
 
     /**
-     * \brief Get the serialized size of the packet.
-     * \return Size.
+     * @brief Get the serialized size of the packet.
+     * @return Size.
      */
     uint32_t GetSerializedSize() const override;
 
     /**
-     * \brief Serialize the packet.
-     * \param [in] start Buffer iterator.
+     * @brief Serialize the packet.
+     * @param [in] start Buffer iterator.
      */
     void Serialize(Buffer::Iterator start) const override;
 
     /**
-     * \brief Deserialize the packet.
-     * \param [in] start Buffer iterator.
-     * \return Size of the packet.
+     * @brief Deserialize the packet.
+     * @param [in] start Buffer iterator.
+     * @return Size of the packet.
      */
     uint32_t Deserialize(Buffer::Iterator start) override;
 
     /**
-     * \brief Set the "Sequence Number" field.
-     * \param [in] seqNumber The sequence number value.
+     * @brief Set the "Sequence Number" field.
+     * @param [in] seqNumber The sequence number value.
      */
     void SetSequenceNumber(uint8_t seqNumber);
 
     /**
-     * \brief Get the "Sequence Number" field.
-     * \return The sequence number value.
+     * @brief Get the "Sequence Number" field.
+     * @return The sequence number value.
      */
     uint8_t GetSequenceNumber() const;
 
@@ -1269,17 +1269,17 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param [in] os The reference to the output stream.
- * \param [in] header The BC0 Extension Header.
- * \returns The reference to the output stream.
+ * @param [in] os The reference to the output stream.
+ * @param [in] header The BC0 Extension Header.
+ * @returns The reference to the output stream.
  */
 std::ostream& operator<<(std::ostream& os, const SixLowPanBc0& header);
 
 /**
- * \ingroup sixlowpan
- * \brief 6LoWPAN Mesh header - see \RFC{4944}.
+ * @ingroup sixlowpan
+ * @brief 6LoWPAN Mesh header - see \RFC{4944}.
  */
 class SixLowPanMesh : public Header
 {
@@ -1287,71 +1287,71 @@
     SixLowPanMesh();
 
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Return the instance type identifier.
-     * \return Instance type ID.
+     * @brief Return the instance type identifier.
+     * @return Instance type ID.
      */
     TypeId GetInstanceTypeId() const override;
 
     void Print(std::ostream& os) const override;
 
     /**
-     * \brief Get the serialized size of the packet.
-     * \return Size.
+     * @brief Get the serialized size of the packet.
+     * @return Size.
      */
     uint32_t GetSerializedSize() const override;
 
     /**
-     * \brief Serialize the packet.
-     * \param [in] start Buffer iterator.
+     * @brief Serialize the packet.
+     * @param [in] start Buffer iterator.
      */
     void Serialize(Buffer::Iterator start) const override;
 
     /**
-     * \brief Deserialize the packet.
-     * \param [in] start Buffer iterator.
-     * \return Size of the packet.
+     * @brief Deserialize the packet.
+     * @param [in] start Buffer iterator.
+     * @return Size of the packet.
      */
     uint32_t Deserialize(Buffer::Iterator start) override;
 
     /**
-     * \brief Set the "Hops Left" field.
-     * \param [in] hopsLeft The number of hops left.
+     * @brief Set the "Hops Left" field.
+     * @param [in] hopsLeft The number of hops left.
      */
     void SetHopsLeft(uint8_t hopsLeft);
 
     /**
-     * \brief Get the "Hops Left" field.
-     * \return The number of hops left.
+     * @brief Get the "Hops Left" field.
+     * @return The number of hops left.
      */
     uint8_t GetHopsLeft() const;
 
     /**
-     * \brief Set the "Originator" address.
-     * \param [in] originator The Originator address (Mac64Address or Mac16Address).
+     * @brief Set the "Originator" address.
+     * @param [in] originator The Originator address (Mac64Address or Mac16Address).
      */
     void SetOriginator(Address originator);
 
     /**
-     * \brief Get the "Originator" address.
-     * \return The Originator address (Mac64Address or Mac16Address).
+     * @brief Get the "Originator" address.
+     * @return The Originator address (Mac64Address or Mac16Address).
      */
     Address GetOriginator() const;
 
     /**
-     * \brief Set the "Final Destination" address.
-     * \param [in] finalDst The Final Destination address (Mac64Address or Mac16Address).
+     * @brief Set the "Final Destination" address.
+     * @param [in] finalDst The Final Destination address (Mac64Address or Mac16Address).
      */
     void SetFinalDst(Address finalDst);
 
     /**
-     * \brief Get the "Final Destination" address.
-     * \return The Final Destination address (Mac64Address or Mac16Address).
+     * @brief Get the "Final Destination" address.
+     * @return The Final Destination address (Mac64Address or Mac16Address).
      */
     Address GetFinalDst() const;
 
@@ -1364,11 +1364,11 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param [in] os The reference to the output stream.
- * \param [in] header The Mesh Extension Header.
- * \returns The reference to the output stream.
+ * @param [in] os The reference to the output stream.
+ * @param [in] header The Mesh Extension Header.
+ * @returns The reference to the output stream.
  */
 std::ostream& operator<<(std::ostream& os, const SixLowPanMesh& header);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/sixlowpan/model/sixlowpan-net-device.cc ns-3.44/src/sixlowpan/model/sixlowpan-net-device.cc
--- ns-3.43/src/sixlowpan/model/sixlowpan-net-device.cc	2024-10-09 16:41:10.080656500 -0700
+++ ns-3.44/src/sixlowpan/model/sixlowpan-net-device.cc	2025-03-09 16:55:49.687372200 -0700
@@ -282,7 +282,7 @@
                 Ptr<Packet> sendPkt = copyPkt->Copy();
                 sendPkt->AddHeader(bc0Hdr);
                 sendPkt->AddHeader(meshHdr);
-                Simulator::Schedule(Time(MilliSeconds(m_meshUnderJitter->GetValue())),
+                Simulator::Schedule(MilliSeconds(m_meshUnderJitter->GetValue()),
                                     &NetDevice::Send,
                                     m_netDevice,
                                     sendPkt,
@@ -2732,7 +2732,7 @@
         return;
     }
 
-    if (validLifetime == Time(0))
+    if (validLifetime.IsZero())
     {
         NS_LOG_LOGIC("Context (" << +contextId << "), removed (validity time is zero)");
         m_contextTable.erase(contextId);
